## datalad 0.2.3

=== requirements.txt ===
# Now everything setup says by default for everything
# Theoretically we don't want -e here but ATM pip would puke if just .[full] is provided
# Since we use requirements.txt ATM only for development IMHO it is ok but
# we need to figure out/complaint to pip folks
-e .[full]

# -- Optional for Testing
nose-timer

=== debian/changelog ===
datalad (0.2.3-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 28 Jun 2016 01:04:10 +0200

datalad (0.2.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Jun 2016 17:47:16 -0400

datalad (0.2.1-2) neurodebian; urgency=medium

  * Skip testing components which require recent scrapy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Jun 2016 11:12:30 -0400

datalad (0.2.1-1) unstable; urgency=medium

  * New bugfix + enhancements upstream release
  * patch refreshed
  * python-tqdm into *Depends as a preference over progressbar

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Jun 2016 21:43:53 -0400

datalad (0.2-1) unstable; urgency=medium

  * New upstream release, with complete refactoring of the "distribution"
    component.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 May 2016 15:29:08 -0400

datalad (0.1+git589-g4f196dc-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from 0.1-573-gec0b018
  * debian/control
    - adjusted build/depends (bunch of new ones, no need for joblib atm)
  * debian/control
    - dance around git config email/name

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Feb 2016 22:29:38 -0500

datalad (0.1-1) neurodebian-devel; urgency=medium

  * Fresh upstream release with a sketch of publishing functionality

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Oct 2015 22:21:42 -0400

datalad (0.0.4-1) neurodebian-devel; urgency=low

  [ Yaroslav Halchenko ]
  * Initial Debian packaging

  [ Michael Hanke ]
  * Add lintian override for insufficient dependencies of the 'datalad'
    package. All relevant dependencies are satisfied by the tightly coupled
    'python-datalad' package.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Sep 2015 10:57:58 -0400

=== debian/control ===
Source: datalad
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <mih@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 git-annex (>= 6.20160425) | git-annex-standalone (>= 6.20160425),
 help2man,
 patool,
 python-all,
 python-appdirs,
 python-argcomplete,
 python-boto,
 python-bs4,
 python-git (>= 2.0.2~),
 python-html5lib,
 python-httpretty,
 python-humanize,
 python-keyrings.alt | python-keyring (<=8),
 python-keyring,
 python-mock,
 python-msgpack,
 python-nose,
 python-tqdm | python-progressbar,
 python-requests,
 python-scrapy,
 python-setuptools,
 python-six (>= 1.8.0~),
 python-testtools,
Standards-Version: 3.9.8
Homepage: http://datalad.org
Vcs-Git: git://github.com/datalad/datalad -b debian
Vcs-Browser: https://github.com/datalad/datalad/

Package: datalad
Architecture: all
Section: science
Depends:
 python-argcomplete,
 python-datalad (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: data files crawler and data distribution
 DataLad is a data distribution providing access to a wide range of
 data resources already available online (initially aiming for
 neuroscience domain). Using git-annex as its backend for data
 logistics it provides following facilities
 .
  - crawling of web sites to automatically prepare or update git-annex
    repositories with content from online websites, S3, etc
  - command line interface for manipulation of datasets
    (search, install, uninstall, upgrade etc)
 .
 This package provides the command line tool.  Install without
 Recommends if you need only core functionality.
 .
 DISCLAIMER:  DataLad is Work-In-Progress and this package is not yet
 for regular user consumption.  Primarily intended for demonstrations
 and development.

Package: python-datalad
Architecture: all
Section: python
Provides: ${python:Provides}
Depends:
 git-annex (>= 6.20160425) | git-annex-standalone (>= 6.20160425),
 patool,
 python-appdirs,
 python-git (>= 2.0.2~),
 python-humanize,
 python-keyrings.alt | python-keyring (<=8),
 python-keyring,
 python-mock,
 python-msgpack,
 python-tqdm | python-progressbar,
 python-six (>= 1.8.0~),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-html5lib,
 python-httpretty,
 python-nose,
 python-numpy,
 python-scrapy,
 python-testtools,
 python-vcr,
Suggests:
 python-bs4
Description: data files crawler and data distribution (Python 2)
 DataLad is a data distribution providing access to a wide range of
 data resources already available online (initially aiming for
 neuroscience domain). Using git-annex as its backend for data
 logistics it provides following facilities
 .
  - crawling of web sites to automatically prepare or update git-annex
    repositories with content from online websites, S3, etc
  - command line interface for manipulation of datasets
    (search, install, uninstall, upgrade etc)
 .
 This package installs the module for Python 2, and Recommends install
 all dependencies necessary for crawling and testing.
 If you need base functionality, install without Recommends.
 .
 DISCLAIMER:  DataLad is Work-In-Progress and this package is not yet
 for regular user consumption.  Primarily intended for demonstrations
 and development.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local master branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9].*' $$(git merge-base -a HEAD master) | sed -e 's/-/+git/')

export DH_VERBOSE = 1
export PYBUILD_NAME = datalad
export DATALAD_TESTS_NONETWORK = 1
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/

%:
#	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python2 --buildsystem=pybuild

clean::
	dh_clean
	-rm -rf bin build .pybuild datalad.egg-info
	-find . -name '*.pyc' -delete

override_dh_auto_test:
	# cheap fake of an installed datalad
	$(MAKE) bin
	mkdir -p build; \
	    export HOME=$(CURDIR)/build;  \
        git config --global user.name "TESTING"; \
        git config --global user.email "TESTING@example.com"
	# Skipping a failing test for now: https://github.com/datalad/datalad/issues/357
	# Since pybuild overrides HOME for its own purposes, we will rely on our
	# setup_package placing it back into HOME
	GIT_HOME=$(CURDIR)/build PATH=$(CURDIR)/bin:$$PATH \
	    PYBUILD_TEST_ARGS="-s -v datalad" \
	    dh_auto_test -- --test-nose


override_dh_auto_install:
	dh_auto_install
	mkdir -p build/man
	mv debian/python-datalad/usr/bin/* debian/datalad/usr/bin
	# Building manpages. Overcoming #532 which creates some config file
	HOME=$(CURDIR)/build python setup.py build_manpage
	# Generating argcomplete helper for bash_completion.d
	register-python-argcomplete datalad > debian/datalad/etc/bash_completion.d/datalad

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

## datalad 0.4.1

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix
# Ideas borrowed from scikit-learn's and PyMVPA Makefiles  -- thanks!

PYTHON ?= python
NOSETESTS ?= nosetests

MODULE ?= datalad

all: clean test

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin

bin:
	mkdir -p $@
	PYTHONPATH=bin:$(PYTHONPATH) python setup.py develop --install-dir $@

test-code: bin
	PATH=bin:$(PATH) PYTHONPATH=bin:$(PYTHONPATH) $(NOSETESTS) -s -v $(MODULE)

test-coverage:
	rm -rf coverage .coverage
	$(NOSETESTS) -s -v --with-coverage $(MODULE)

test: test-code


trailing-spaces:
	find $(MODULE) -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

code-analysis:
	flake8 $(MODULE) | grep -v __init__ | grep -v external
	pylint -E -i y $(MODULE)/ # -d E1103,E0611,E1101

=== debian/changelog ===
datalad (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - require python-git >| 2.1~, and python-github

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Nov 2016 15:14:24 -0500

datalad (0.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add python-secretstorage into build-depends for keyring >= 9.2

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 21 Oct 2016 21:19:47 -0400

datalad (0.3.1-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Oct 2016 15:06:47 -0400

datalad (0.3-1) unstable; urgency=medium

  * New upstream release
    - should resolve FTBFS due to incompatibilities with new git version
      (Closes: #835525)
  * Install bash completions under /usr/share/bash-completion/completions
    (TODO: deploy them for zsh)
  * debian/copyright - updated to reflect added components

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 23 Sep 2016 09:22:01 -0400

datalad (0.2.3+git843-g18c597d-1) UNRELEASED; urgency=medium

  * New upstream snapshot from 0.2.3-843-g18c597d
  * debian/control
    - new build-depends and depends/recommends:
      python-{pyld,requests,simplejson,iso8601,jsmin,requests-ftp,yaml}
    - testtools removed from *depends - not used ATM

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Sep 2016 13:35:04 -0400

=== debian/control ===
Source: datalad
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <mih@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 git-annex (>= 6.20160808~) | git-annex-standalone (>= 6.20160808~),
 help2man,
 patool,
 python-all,
 python-appdirs,
 python-argcomplete,
 python-boto,
 python-bs4,
 python-iso8601,
 python-jsmin,
 python-git (>= 2.1~),
 python-github,
 python-html5lib,
 python-httpretty,
 python-humanize,
 python-keyrings.alt | python-keyring (<=8),
 python-keyring,
 python-secretstorage | python-keyring (<<9.2),
 python-mock,
 python-msgpack,
 python-nose,
 python-tqdm | python-progressbar,
 python-pyld,
 python-requests,
 python-scrapy,
 python-setuptools,
 python-simplejson,
 python-six (>= 1.8.0~),
Standards-Version: 3.9.8
Homepage: http://datalad.org
Vcs-Git: git://github.com/datalad/datalad -b debian
Vcs-Browser: https://github.com/datalad/datalad/

Package: datalad
Architecture: all
Section: science
Depends:
 python-argcomplete,
 python-datalad (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: data files crawler and data distribution
 DataLad is a data distribution providing access to a wide range of
 data resources already available online (initially aiming at
 neuroscience domain). Using git-annex as its backend for data
 logistics it provides following facilities
 .
  - crawling of web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc
  - command line interface for manipulation of collections of datasets
    (install, uninstall, update, publish, save, etc.) and
	separate files/directories (add, get), as well as search within
	aggregated meta-data
 .
 This package provides the command line tool.  Install without
 Recommends if you need only core functionality.

Package: python-datalad
Architecture: all
Section: python
Provides: ${python:Provides}
Depends:
 git-annex (>= 6.20160808~) | git-annex-standalone (>= 6.20160808~),
 patool,
 python-appdirs,
 python-git (>= 2.1~),
 python-github,
 python-humanize,
 python-iso8601,
 python-keyrings.alt | python-keyring (<=8),
 python-secretstorage | python-keyring (<<9.2),
 python-keyring,
 python-mock,
 python-msgpack,
 python-pyld,
 python-requests,
 python-tqdm | python-progressbar,
 python-simplejson,
 python-six (>= 1.8.0~),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-jsmin,
 python-html5lib,
 python-httpretty,
 python-nose,
 python-numpy,
 python-requests-ftp,
 python-scrapy,
 python-vcr,
 python-yaml,
Suggests:
 python-bs4
Description: data files crawler and data distribution (Python 2)
 DataLad is a data distribution providing access to a wide range of
 data resources already available online (initially aiming at
 neuroscience domain). Using git-annex as its backend for data
 logistics it provides following facilities
 .
  - crawling of web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc
  - command line interface for manipulation of collections of datasets
    (install, uninstall, update, publish, save, etc.) and
	separate files/directories (add, get), as well as search within
	aggregated meta-data
 .
 This package installs the module for Python 2, and Recommends install
 all dependencies necessary for crawling, publishing, and testing.
 If you need base functionality, install without Recommends.

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,10 @@
 	# Building manpages. Overcoming #532 which creates some config file
 	HOME=$(CURDIR)/build python setup.py build_manpage
 	# Generating argcomplete helper for bash_completion.d
-	register-python-argcomplete datalad > debian/datalad/etc/bash_completion.d/datalad
+	register-python-argcomplete datalad > debian/datalad/usr/share/bash-completion/completions/datalad
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.md
 
 # make orig tarball from repository content
 get-orig-source:

## datalad 0.9.3

=== Makefile ===
--- 
+++ 
@@ -32,3 +32,7 @@
 code-analysis:
 	flake8 $(MODULE) | grep -v __init__ | grep -v external
 	pylint -E -i y $(MODULE)/ # -d E1103,E0611,E1101
+
+update-changelog:
+	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
+	pandoc -t rst CHANGELOG.md >> docs/source/changelog.rst

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* source/generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
datalad (0.9.3-1) unstable; urgency=medium

  * Bugfix upstream release
  * debian/control
    - added python-fasteners into depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 16 Mar 2018 12:43:32 -0400

datalad (0.9.2-1) unstable; urgency=medium

  * Large primarily bugfix release
    - Debian proper has now fresh enough git-annex
    - upload would mean tests been dealt with (Closes: #891946)
  * debian/control
    - carries needed depends on python-msgpack (Closes: #891946)
      and provides fake http_proxy to prevent downloads
    - added python-duecredit

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 03 Mar 2018 22:14:52 -0500

datalad (0.9.1-1) neurodebian; urgency=medium

  * Fresh very minor bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Sep 2017 18:03:32 -0400

datalad (0.9.0-1) neurodebian; urgency=medium

  * Fresh to be release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Sep 2017 09:15:12 -0400

datalad (0.8.1+git226-gb20e2a3c-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from 0.8.1-226-gb20e2a3c
  * debian/rules
    - define WRAPT_DISABLE_EXTENSIONS=1 while running tests to overcome
      wrapt segfaults (needs either wrapt >= 1.10.11 or patched, as in
      neurodebian)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Sep 2017 23:39:22 -0400

datalad (0.8.1-1) neurodebian; urgency=medium

  * Fresh upstream bugfix to be release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 Aug 2017 22:18:16 -0400

datalad (0.8.0-1) neurodebian; urgency=medium

  * Fresh release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Jul 2017 22:18:04 -0400

datalad (0.7.0-2) neurodebian; urgency=medium

  * Fixup to version.py and Changelog in rushed up "release"
  * debian/changelog -- adjusted with neurodebian release where was not
    uploaded to Debian proper due to outdated git-annex (ref #865889)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 25 Jun 2017 09:07:59 -0700

datalad (0.7.0-1) neurodebian; urgency=medium

  * Fresh uptream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Jun 2017 18:05:51 -0700

datalad (0.6.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - added python-wrapt to bdepends/depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Jun 2017 11:02:52 -0400

datalad (0.5.1-1) experimental; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 25 Mar 2017 00:47:58 -0400

datalad (0.5.0-1) experimental; urgency=medium

  * Fresh upstream "it's huge" release
  * debian/control
    - boosted required git-annex to 6.20170101~

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 20 Mar 2017 10:36:53 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- git-annex (>= 6.20160808~) | git-annex-standalone (>= 6.20160808~),
+ git-annex (>= 6.20170525~) | git-annex-standalone (>= 6.20170525~),
  help2man,
  patool,
  python-all,
@@ -16,9 +16,10 @@
  python-argcomplete,
  python-boto,
  python-bs4,
+ python-fasteners,
  python-iso8601,
  python-jsmin,
- python-git (>= 2.1~),
+ python-git (>= 2.1.6~),
  python-github,
  python-html5lib,
  python-httpretty,
@@ -36,6 +37,7 @@
  python-setuptools,
  python-simplejson,
  python-six (>= 1.8.0~),
+ python-wrapt,
 Standards-Version: 3.9.8
 Homepage: http://datalad.org
 Vcs-Git: git://github.com/datalad/datalad -b debian
@@ -70,10 +72,11 @@
 Section: python
 Provides: ${python:Provides}
 Depends:
- git-annex (>= 6.20160808~) | git-annex-standalone (>= 6.20160808~),
+ git-annex (>= 6.20170525~) | git-annex-standalone (>= 6.20170525~),
  patool,
  python-appdirs,
- python-git (>= 2.1~),
+ python-fasteners,
+ python-git (>= 2.1.6~),
  python-github,
  python-humanize,
  python-iso8601,
@@ -87,9 +90,11 @@
  python-tqdm | python-progressbar,
  python-simplejson,
  python-six (>= 1.8.0~),
+ python-wrapt,
  ${misc:Depends},
  ${python:Depends}
 Recommends:
+ python-duecredit,
  python-jsmin,
  python-html5lib,
  python-httpretty,

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	# setup_package placing it back into HOME
 	GIT_HOME=$(CURDIR)/build PATH=$(CURDIR)/bin:$$PATH \
 	    PYBUILD_TEST_ARGS="-s -v datalad" \
+	    WRAPT_DISABLE_EXTENSIONS=1 \
 	    dh_auto_test -- --test-nose

## datalad 0.10.2

=== debian/changelog ===
datalad (0.10.2-2) unstable; urgency=medium

  * debian/control
    + python3-distutils to B-Depends and Depends of python3-datalad
      (Closes: #905293). Thanks Andreas Beckmann for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 02 Aug 2018 13:58:11 -0400

datalad (0.10.2-1) unstable; urgency=medium

  * A small bugfix release rushed out for compatibility with recent
    git-annex (Closes: #903213)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 07 Jul 2018 22:20:16 -0400

datalad (0.10.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Jun 2018 15:25:22 +0800

datalad (0.10.0-3) neurodebian; urgency=medium

  * debian/patches/deb_loosenup_setup_requires
    - to not demand PyGitHub since it causes pybuild on nd16.04 to
      inject incorrect dependency on python3-pygithub.  All dependencies
      are enforced by debian/control anyways

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jun 2018 09:20:00 -0400

datalad (0.10.0-2) neurodebian; urgency=medium

  * Migrate python*-github into recommends from Depends.  Used only by
    one command and should address some snafu with xenial package making it into
    python3-pygithub, which is N/A, so python3-datalad is not installable.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Jun 2018 11:39:55 -0400

datalad (0.10.0-1) unstable; urgency=medium

  * Fresh upstream release
    - major change is modularization and break away of datalad-crawler
  * debian/control
    - updated B-Depends/Recommends/Suggests to include new modules for
      extracting meta-data and removed all needed for crawling (split away).

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 09 Jun 2018 09:30:23 -0400

=== debian/control ===
Source: datalad
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <mih@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 git-annex (>= 6.20180509~) | git-annex-standalone (>= 6.20180509~),
 help2man,
 patool,
 python-all,
 python-appdirs,
 python-argcomplete,
 python-boto,
 python-dateutil,
 python-exif,
 python-fasteners,
 python-iso8601,
 python-jsmin,
 python-git (>= 2.1.6~),
 python-github,
 python-html5lib,
 python-httpretty,
 python-humanize,
 python-keyrings.alt | python-keyring (<=8),
 python-keyring,
 python-secretstorage | python-keyring (<<9.2),
 python-libxmp,
 python-lzma,
 python-mock,
 python-msgpack,
 python-mutagen,
 python-nose,
 python-pil,
 python-pyperclip,
 python-requests,
 python-setuptools,
 python-simplejson,
 python-six (>= 1.8.0~),
 python-tqdm,
 python-whoosh,
 python-wrapt,
 python3-all,
 python3-appdirs,
 python3-argcomplete,
 python3-boto,
 python3-dateutil,
 python3-distutils,
 python3-exif,
 python3-fasteners,
 python3-iso8601,
 python3-jsmin,
 python3-git (>= 2.1.6~),
 python3-github,
 python3-html5lib,
 python3-httpretty,
 python3-humanize,
 python3-keyrings.alt | python3-keyring (<=8),
 python3-keyring,
 python3-secretstorage,
 python3-libxmp,
 python3-mock,
 python3-msgpack,
 python3-mutagen,
 python3-nose,
 python3-pil,
 python3-pyperclip,
 python3-requests,
 python3-setuptools,
 python3-simplejson,
 python3-six (>= 1.8.0~),
 python3-tqdm,
 python3-whoosh,
 python3-wrapt,
Standards-Version: 4.1.4
Homepage: http://datalad.org
Vcs-Git: git://github.com/datalad/datalad -b debian
Vcs-Browser: https://github.com/datalad/datalad/

Package: datalad
Architecture: all
Section: science
Depends:
 python3-datalad (= ${binary:Version}),
 python3-argcomplete,
 ${misc:Depends},
 ${python:Depends}
Suggests:
 datalad-containers,
 datalad-crawler,
 datalad-neuroimaging,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
	separate files/directories (add, get)
  - extract, aggregate, and search through various sources of metadata
    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
    support)
  - crawl web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc (install
    datalad-crawler)
 .
 This package provides the command line tools.  Install without
 Recommends if you need only core functionality.

Package: python-datalad
Architecture: all
Section: python
Provides: ${python:Provides}
Depends:
 git-annex (>= 6.20180509~) | git-annex-standalone (>= 6.20180509~),
 patool,
 python-appdirs,
 python-fasteners,
 python-git (>= 2.1.6~),
 python-humanize,
 python-iso8601,
 python-keyrings.alt | python-keyring (<=8),
 python-secretstorage,
 python-keyring,
 python-mock,
 python-msgpack,
 python-pil,
 python-requests,
 python-simplejson,
 python-six (>= 1.8.0~),
 python-tqdm,
 python-wrapt,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-exif,
 python-github,
 python-jsmin,
 python-html5lib,
 python-httpretty,
 python-libxmp,
 python-lzma,
 python-mutagen,
 python-nose,
 python-pyperclip,
 python-requests-ftp,
 python-vcr,
 python-whoosh,
Suggests:
 python-duecredit,
 python-bs4,
 python-numpy,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
	separate files/directories (add, get)
  - extract, aggregate, and search through various sources of metadata
    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
    support)
  - crawl web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc (install
    datalad-crawler)
 .
 This package installs the module for Python 2, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.

Package: python3-datalad
Architecture: all
Section: python
Provides: ${python3:Provides}
Depends:
 git-annex (>= 6.20180509~) | git-annex-standalone (>= 6.20180509~),
 patool,
 python3-appdirs,
 python3-distutils,
 python3-fasteners,
 python3-git (>= 2.1.6~),
 python3-humanize,
 python3-iso8601,
 python3-keyrings.alt | python3-keyring (<=8),
 python3-secretstorage,
 python3-keyring,
 python3-mock,
 python3-msgpack,
 python3-pil,
 python3-requests,
 python3-simplejson,
 python3-six (>= 1.8.0~),
 python3-tqdm,
 python3-wrapt,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-exif,
 python3-github,
 python3-jsmin,
 python3-html5lib,
 python3-httpretty,
 python3-libxmp,
 python3-lzma,
 python3-mutagen,
 python3-nose,
 python3-pyperclip,
 python3-requests-ftp,
 python3-vcr,
 python3-whoosh,
Suggests:
 python3-duecredit,
 python3-bs4,
 python3-numpy,
 datalad-containers,
 datalad-crawler,
 datalad-neuroimaging,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
	separate files/directories (add, get)
  - extract, aggregate, and search through various sources of metadata
    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
    support)
  - crawl web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc (install
    datalad-crawler)
 .
 This package installs the module for Python 3, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.

## datalad 0.10.3.1

=== debian/changelog ===
datalad (0.10.3.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

  [ Yaroslav Halchenko ]
  * Emergency upstream bugfix release with correct version assigned

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Sep 2018 12:17:18 -0400

datalad (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - make python3-distutils alternative to libpython3-stdlib (<=3.6.4~rc1-2)
      where it was split out (to ease backporting)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Sep 2018 14:14:31 -0400

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
  python3-argcomplete,
  python3-boto,
  python3-dateutil,
- python3-distutils,
+ python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
  python3-exif,
  python3-fasteners,
  python3-iso8601,
@@ -77,7 +77,7 @@
  python3-wrapt,
 Standards-Version: 4.1.4
 Homepage: http://datalad.org
-Vcs-Git: git://github.com/datalad/datalad -b debian
+Vcs-Git: https://github.com/datalad/datalad -b debian
 Vcs-Browser: https://github.com/datalad/datalad/
 
 Package: datalad

## datalad 0.11.1

=== debian/changelog ===
datalad (0.11.1-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release
    - compatibility with the recent annex
    - variety of fixes (long command lines, metadata aggregation, etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Nov 2018 09:03:36 -0500

datalad (0.11.0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.

  [ Yaroslav Halchenko ]
  * New upstream release
    - requires git-annex >= 6.20180913

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Oct 2018 09:30:36 -0400

datalad (0.10.3.1-2) neurodebian; urgency=medium

  * BF: add libpython3-stdlib alternative also within Depends of
    python3-datalad binary package to make it installable e.g. on nd90

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Sep 2018 23:19:16 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- git-annex (>= 6.20180509~) | git-annex-standalone (>= 6.20180509~),
+ git-annex (>= 6.20180913~) | git-annex-standalone (>= 6.20180913~),
  help2man,
  patool,
  python-all,
@@ -182,7 +182,7 @@
  git-annex (>= 6.20180509~) | git-annex-standalone (>= 6.20180509~),
  patool,
  python3-appdirs,
- python3-distutils,
+ python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
  python3-fasteners,
  python3-git (>= 2.1.6~),
  python3-humanize,

## datalad 0.11.2

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 clean:
 	$(PYTHON) setup.py clean
 	rm -rf dist build bin
+	-find . -name '*.pyc' -delete
+	-find . -name '__pycache__' -type d -delete
 
 bin:
 	mkdir -p $@
@@ -36,3 +38,27 @@
 update-changelog:
 	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
 	pandoc -t rst CHANGELOG.md >> docs/source/changelog.rst
+
+release-pypi: update-changelog
+	# better safe than sorry
+	test ! -e dist
+	python setup.py sdist
+	python setup.py bdist_wheel --universal
+	twine upload dist/*
+
+render-casts: docs/source/usecases/simple_provenance_tracking.rst.in
+
+docs/source/usecases/simple_provenance_tracking.rst.in: build/casts/simple_provenance_tracking.json
+	tools/cast2rst $^ > $@
+
+docs/source/usecases/reproducible_analysis.rst.in: build/casts/reproducible_analysis.json
+	tools/cast2rst $^ > $@
+
+docs/source/usecases/track_data_from_webpage.rst.in: build/casts/track_data_from_webpage.json
+	tools/cast2rst $^ > $@
+
+docs/source/basics_cmdline.rst.in: build/casts/cmdline_basic_usage.json
+	tools/cast2rst $^ > $@
+
+docs/source/basics_nesteddatasets.rst.in: build/casts/seamless_nested_repos.json
+	tools/cast2rst $^ > $@

=== docs/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	@echo "  coverage   to run coverage check of the documentation (if enabled)"
 
 clean:
-	rm -rf $(BUILDDIR)/* source/generated
+	rm -rf $(BUILDDIR)/* source/generated source/_extras/schema.json
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
datalad (0.11.2-2) unstable; urgency=medium

  * Drop B-Depends on python-libxmp - optional dependency and currently
    causes possible removal of datalad from buster

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Feb 2019 14:32:00 -0500

datalad (0.11.2-1) unstable; urgency=medium

  * Fresh upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Feb 2019 23:20:28 -0500

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
  python-keyrings.alt | python-keyring (<=8),
  python-keyring,
  python-secretstorage | python-keyring (<<9.2),
- python-libxmp,
  python-lzma,
  python-mock,
  python-msgpack,
@@ -61,7 +60,6 @@
  python3-keyrings.alt | python3-keyring (<=8),
  python3-keyring,
  python3-secretstorage,
- python3-libxmp,
  python3-mock,
  python3-msgpack,
  python3-mutagen,
@@ -116,7 +114,7 @@
 Section: python
 Provides: ${python:Provides}
 Depends:
- git-annex (>= 6.20180509~) | git-annex-standalone (>= 6.20180509~),
+ git-annex (>= 6.20180913~) | git-annex-standalone (>= 6.20180913~),
  patool,
  python-appdirs,
  python-fasteners,
@@ -179,7 +177,7 @@
 Section: python
 Provides: ${python3:Provides}
 Depends:
- git-annex (>= 6.20180509~) | git-annex-standalone (>= 6.20180509~),
+ git-annex (>= 6.20180913~) | git-annex-standalone (>= 6.20180913~),
  patool,
  python3-appdirs,
  python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),

=== debian/rules ===
--- 
+++ 
@@ -10,41 +10,50 @@
 
 export DH_VERBOSE = 1
 export PYBUILD_NAME = datalad
+export PYBUILD_TEST_ARGS = -s -v
 export DATALAD_TESTS_NONETWORK = 1
 export http_proxy=http://127.0.0.1:9/
 export https_proxy=http://127.0.0.1:9/
 
+# We need to copy .egg-info so entry points are discovered. And also need
+# to generate then per-Python version since some module requirements differ
+export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/;cp -rp datalad.egg-info {build_dir}/;
+
+
+# so tests do not segfault
+export WRAPT_DISABLE_EXTENSIONS=1
+
 %:
-#	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 clean::
 	dh_clean
 	-rm -rf bin build .pybuild datalad.egg-info
 	-find . -name '*.pyc' -delete
 
-override_dh_auto_test:
-	# cheap fake of an installed datalad
+override_dh_auto_configure:
+	# cheap fake of an installed datalad, so we get .egg-info with entry points
 	$(MAKE) bin
+	# and leave the rest for dh_python* runs
 	mkdir -p build; \
 	    export HOME=$(CURDIR)/build;  \
         git config --global user.name "TESTING"; \
         git config --global user.email "TESTING@example.com"
-	# Skipping a failing test for now: https://github.com/datalad/datalad/issues/357
-	# Since pybuild overrides HOME for its own purposes, we will rely on our
-	# setup_package placing it back into HOME
-	GIT_HOME=$(CURDIR)/build PATH=$(CURDIR)/bin:$$PATH \
-	    PYBUILD_TEST_ARGS="-s -v datalad" \
-	    WRAPT_DISABLE_EXTENSIONS=1 \
+
+override_dh_auto_test:
+#	# Since pybuild overrides HOME for its own purposes, we will rely on our
+#	# setup_package placing it back into HOME
+	PATH=$(CURDIR)/bin:$$PATH \
 	    dh_auto_test -- --test-nose
 
 
 override_dh_auto_install:
 	dh_auto_install
+	mv debian/python3-datalad/usr/bin/* debian/datalad/usr/bin
+	rm -f debian/python*-datalad/usr/bin/*
+	# Building manpages. Overcoming #532 which creates some config file
 	mkdir -p build/man
-	mv debian/python-datalad/usr/bin/* debian/datalad/usr/bin
-	# Building manpages. Overcoming #532 which creates some config file
-	HOME=$(CURDIR)/build python setup.py build_manpage
+	HOME=$(CURDIR)/build python3 setup.py build_manpage
 	# Generating argcomplete helper for bash_completion.d
 	register-python-argcomplete datalad > debian/datalad/usr/share/bash-completion/completions/datalad

## datalad 0.11.3

=== debian/changelog ===
datalad (0.11.3-1) experimental; urgency=medium

  * Fresh upstream bugfix release. Since bundles some new features, upload to
    experimental
  * debian/control
    - do demand python{,3}-libxmp on older systems with nose < 1.3.7-2.
      Otherwise nose fails to run tests on e.g. jessie.
      Ref: https://github.com/datalad/datalad/issues/3170

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Feb 2019 12:06:41 -0500

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  python-keyrings.alt | python-keyring (<=8),
  python-keyring,
  python-secretstorage | python-keyring (<<9.2),
+ python-nose (>= 1.3.7-2) | python-libxmp,
  python-lzma,
  python-mock,
  python-msgpack,
@@ -60,6 +61,7 @@
  python3-keyrings.alt | python3-keyring (<=8),
  python3-keyring,
  python3-secretstorage,
+ python3-nose (>= 1.3.7-2) | python3-libxmp,
  python3-mock,
  python3-msgpack,
  python3-mutagen,

## datalad 0.11.6

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,10 @@
 	flake8 $(MODULE) | grep -v __init__ | grep -v external
 	pylint -E -i y $(MODULE)/ # -d E1103,E0611,E1101
 
-update-changelog:
+linkissues-changelog:
+	tools/link_issues_CHANGELOG
+
+update-changelog: linkissues-changelog
 	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
 	pandoc -t rst CHANGELOG.md >> docs/source/changelog.rst

=== debian/changelog ===
datalad (0.11.6-1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 31 Jul 2019 03:03:52 -0400

datalad (0.11.6-1) unstable; urgency=medium

  * Fresh upstream release
  * Upload to unstable (buster is out)
  * Dropped 2 debian/patches/0001* CPed from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Jul 2019 12:07:25 -0400

datalad (0.11.5-3) neurodebian; urgency=medium

  * For NeuroDebian jessie (nd80) needed one more patch
    debian/patches/0001-ENH-TST-adding-one-more-condition-for-nd80-to-skip-t.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 May 2019 09:23:45 -0400

datalad (0.11.5-2) neurodebian; urgency=medium

  * debian/patches/0001-BF-TST-skip-vcr-based-github-tests-if-no-network.patch
    - to avoid FTBFS on 18.10

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 May 2019 15:34:17 -0400

datalad (0.11.5-1) experimental; urgency=medium

  * Fresh upstream bugfix/minor release
  * debian/rules
    - set http*_proxy to empty value so VCR based tests (github) would
      work (otherwise mismatch from proxy IP)
  * debian/control
    - added python{,3}-vcr to build-depends for github vcr tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 24 May 2019 07:31:33 -0400

datalad (0.11.4-1) experimental; urgency=medium

  * Fresh upstream bugfix/minor release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Apr 2019 23:02:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: datalad
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders:
  Yaroslav Halchenko <debian@onerussian.com>,
  Michael Hanke <mih@debian.org>
@@ -42,6 +43,7 @@
  python-six (>= 1.8.0~),
  python-tqdm,
  python-whoosh,
+ python-vcr,
  python-wrapt,
  python3-all,
  python3-appdirs,
@@ -73,6 +75,7 @@
  python3-simplejson,
  python3-six (>= 1.8.0~),
  python3-tqdm,
+ python3-vcr,
  python3-whoosh,
  python3-wrapt,
 Standards-Version: 4.1.4
@@ -83,7 +86,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends:
+Depends: neurodebian-popularity-contest, 
  python3-datalad (= ${binary:Version}),
  python3-argcomplete,
  ${misc:Depends},
@@ -115,7 +118,7 @@
 Architecture: all
 Section: python
 Provides: ${python:Provides}
-Depends:
+Depends: neurodebian-popularity-contest, 
  git-annex (>= 6.20180913~) | git-annex-standalone (>= 6.20180913~),
  patool,
  python-appdirs,
@@ -178,7 +181,7 @@
 Architecture: all
 Section: python
 Provides: ${python3:Provides}
-Depends:
+Depends: neurodebian-popularity-contest, 
  git-annex (>= 6.20180913~) | git-annex-standalone (>= 6.20180913~),
  patool,
  python3-appdirs,

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 export PYBUILD_NAME = datalad
 export PYBUILD_TEST_ARGS = -s -v
 export DATALAD_TESTS_NONETWORK = 1
-export http_proxy=http://127.0.0.1:9/
-export https_proxy=http://127.0.0.1:9/
+export http_proxy=
+export https_proxy=
 
 # We need to copy .egg-info so entry points are discovered. And also need
 # to generate then per-Python version since some module requirements differ
